public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/libodfgen/
Date: Sun, 14 May 2023 01:21:36 +0000 (UTC)	[thread overview]
Message-ID: <1684027050.37055ad8f7a1c85ce099056d2b2f4585e5b7deec.sam@gentoo> (raw)

commit:     37055ad8f7a1c85ce099056d2b2f4585e5b7deec
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun May 14 01:00:40 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun May 14 01:17:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=37055ad8

app-text/libodfgen: wire up tests

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-text/libodfgen/libodfgen-0.1.8.ebuild | 19 ++++++++++++++++---
 app-text/libodfgen/libodfgen-9999.ebuild  | 20 ++++++++++++++++----
 2 files changed, 32 insertions(+), 7 deletions(-)

diff --git a/app-text/libodfgen/libodfgen-0.1.8.ebuild b/app-text/libodfgen/libodfgen-0.1.8.ebuild
index f494e1c15687..35cc4560206e 100644
--- a/app-text/libodfgen/libodfgen-0.1.8.ebuild
+++ b/app-text/libodfgen/libodfgen-0.1.8.ebuild
@@ -1,8 +1,10 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
+inherit edo
+
 if [[ ${PV} == *9999* ]]; then
 	EGIT_REPO_URI="https://git.code.sf.net/p/libwpd/libodfgen"
 	inherit autotools git-r3
@@ -16,7 +18,8 @@ HOMEPAGE="http://libwpd.sourceforge.net/"
 
 LICENSE="|| ( LGPL-2.1 MPL-2.0 )"
 SLOT="0"
-IUSE="doc"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
 
 RDEPEND="
 	dev-libs/librevenge
@@ -36,7 +39,17 @@ src_prepare() {
 src_configure() {
 	econf \
 		--disable-static \
-		$(use_with doc docs)
+		$(use_with doc docs) \
+		$(use_enable test)
+}
+
+src_test() {
+	cd test || die
+
+	# TODO: send patch upstream to have 'make check' run these
+	while read -r test_name ; do
+		edo "${test_name}"
+	done < <(find . -maxdepth 1  -type f -executable || die)
 }
 
 src_install() {

diff --git a/app-text/libodfgen/libodfgen-9999.ebuild b/app-text/libodfgen/libodfgen-9999.ebuild
index d3f5e575b856..a1e951468328 100644
--- a/app-text/libodfgen/libodfgen-9999.ebuild
+++ b/app-text/libodfgen/libodfgen-9999.ebuild
@@ -1,14 +1,16 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
+inherit edo
+
 if [[ ${PV} == *9999* ]]; then
 	EGIT_REPO_URI="https://git.code.sf.net/p/libwpd/libodfgen"
 	inherit autotools git-r3
 else
 	SRC_URI="mirror://sourceforge/libwpd/${P}.tar.xz"
-	KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+	KEYWORDS="amd64 ~arm arm64 ~loong ~ppc64 ~riscv x86 ~amd64-linux ~x86-linux"
 fi
 
 DESCRIPTION="Library to generate ODF documents from libwpd and libwpg"
@@ -16,7 +18,8 @@ HOMEPAGE="http://libwpd.sourceforge.net/"
 
 LICENSE="|| ( LGPL-2.1 MPL-2.0 )"
 SLOT="0"
-IUSE="doc"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
 
 RDEPEND="
 	dev-libs/librevenge
@@ -36,7 +39,16 @@ src_prepare() {
 src_configure() {
 	econf \
 		--disable-static \
-		$(use_with doc docs)
+		$(use_with doc docs) \
+		$(use_enable test)
+}
+
+src_test() {
+	cd test || die
+
+	while read -r test_name ; do
+		edo "${test_name}"
+	done < <(find . -maxdepth 1  -type f -executable || die)
 }
 
 src_install() {


             reply	other threads:[~2023-05-14  1:21 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-14  1:21 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-12-29 13:46 [gentoo-commits] repo/gentoo:master commit in: app-text/libodfgen/ Yixun Lan
2021-03-08 21:14 Andreas Sturmlechner
2021-03-08 10:27 Sam James
2021-03-07 15:54 Thomas Deutschmann
2021-03-07 13:18 Mikle Kolyada
2021-01-23  0:25 Andreas Sturmlechner
2019-07-30 21:39 Aaron Bauman
2019-01-09 10:00 Andreas Sturmlechner
2019-01-08 19:56 Thomas Deutschmann
2019-01-02  9:57 Mikle Kolyada
2018-11-15 23:12 Andreas Sturmlechner
2018-11-15 23:12 Andreas Sturmlechner
2018-09-19 18:35 Matt Turner
2017-01-02 19:01 Andreas Hüttel
2016-12-21 17:28 Tobias Klausmann
2016-12-17 15:57 Andreas Hüttel
2016-07-03 20:27 Andreas Hüttel
2016-02-22 17:07 Andreas Hüttel

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1684027050.37055ad8f7a1c85ce099056d2b2f4585e5b7deec.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox